org.jfree.report.data

## Class RunningExpressionSlot

- java.lang.Object
- - org.jfree.report.data.RunningExpressionSlot

- All Implemented Interfaces:
    java.lang.Cloneable, ExpressionSlot, ExpressionRuntime

      public class RunningExpressionSlot
      extends java.lang.Object
      implements ExpressionSlot, ExpressionRuntime

  Creation-Date: 25.11.2006, 15:18:58
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunningExpressionSlot(Expression expression, StaticExpressionRuntimeData runtimeData, PrecomputeNode precomputeNode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `advance()`
    `java.lang.Object` | `clone()`
    `org.pentaho.reporting.libraries.base.config.Configuration` | `getConfiguration()`
    `int` | `getCurrentRow()`
    `ReportData` | `getData()` Returns the report data used in this section.
    `DataRow` | `getDataRow()` Returns the datarow.
    `java.lang.Object` | `getDeclaringParent()`
    `Expression` | `getExpression()`
    `java.lang.String` | `getName()`
    `ReportContext` | `getReportContext()`
    `ResourceBundleFactory` | `getResourceBundleFactory()`
    `java.lang.Object` | `getValue()`
    `boolean` | `isDeepTraversing()`
    `boolean` | `isPreserve()`
    `void` | `updateDataRow(DataRow dataRow)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RunningExpressionSlot

          public RunningExpressionSlot(Expression expression,
                                       StaticExpressionRuntimeData runtimeData,
                                       PrecomputeNode precomputeNode)

  - ### Method Detail

    - #### getExpression

          public Expression getExpression()

    - #### getValue

          public java.lang.Object getValue()
                                    throws DataSourceException

      Specified by:
        `getValue` in interface `ExpressionSlot`
      Throws:
        `DataSourceException`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `ExpressionSlot`

    - #### getDataRow

          public DataRow getDataRow()

      Description copied from interface: `ExpressionRuntime`
      Returns the datarow.
      Specified by:
        `getDataRow` in interface `ExpressionRuntime`
      Returns:

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Specified by:
        `clone` in interface `ExpressionSlot`
      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### updateDataRow

          public void updateDataRow(DataRow dataRow)

      Specified by:
        `updateDataRow` in interface `ExpressionSlot`

    - #### getData

          public ReportData getData()

      Returns the report data used in this section. If subreports are used, this does not reflect the complete report data.

      All access to the report data must be properly synchronized. Failure to do so may result in funny results. Do not assume that the report data will be initialized on the current cursor positon.
      Specified by:
        `getData` in interface `ExpressionRuntime`
      Returns:
      See Also:
        `ExpressionRuntime.getCurrentRow()`

    - #### getDeclaringParent

          public java.lang.Object getDeclaringParent()

      Specified by:
        `getDeclaringParent` in interface `ExpressionRuntime`

    - #### getConfiguration

          public org.pentaho.reporting.libraries.base.config.Configuration getConfiguration()

      Specified by:
        `getConfiguration` in interface `ExpressionRuntime`

    - #### getResourceBundleFactory

          public ResourceBundleFactory getResourceBundleFactory()

      Specified by:
        `getResourceBundleFactory` in interface `ExpressionRuntime`

    - #### advance

          public void advance()
                       throws DataSourceException

      Specified by:
        `advance` in interface `ExpressionSlot`
      Throws:
        `DataSourceException`

    - #### isDeepTraversing

          public boolean isDeepTraversing()

      Specified by:
        `isDeepTraversing` in interface `ExpressionSlot`

    - #### getCurrentRow

          public int getCurrentRow()

      Specified by:
        `getCurrentRow` in interface `ExpressionRuntime`

    - #### getReportContext

          public ReportContext getReportContext()

      Specified by:
        `getReportContext` in interface `ExpressionRuntime`

    - #### isPreserve

          public boolean isPreserve()

      Specified by:
        `isPreserve` in interface `ExpressionSlot`